package org.garret.scheduler; 

import java.io.*;
import java.net.*;

public class RemoteJob { 
    public static int run(Job job) throws Exception {
        Socket socket = new Socket(InetAddress.getByName(job.hostName), job.port);
        InputStream in = socket.getInputStream();
	ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
        out.writeObject(job);
        int rc = in.read();
        if (rc < 0) {
            rc = Job.EXIT_FAILURE;
        }
        socket.close();
        return rc;
    }
}

