import org.garret.scheduler.Job;
import org.garret.jipc.*;

public class Producer { 
    static final String JIPCServerHostName = "localhost";
    static final int    JIPCServerPort = 6000;

    static int    counter = 0;

    public static int run(Job job) throws Exception { 
        JIPCSession session =
            org.garret.jipc.client.JIPCClientFactory.getInstance().create(JIPCServerHostName, JIPCServerPort);
        JIPCQueue queue = session.createQueue(job.getJobParameters());
        queue.put(new Integer(++counter));
        session.close();
        return Job.EXIT_SUCCESS;
    }
}
