import org.garret.scheduler.Job;

public class TestJob { 
    public static int run(Job job) throws Exception { 
        System.out.println("Job " + job.getJobName() + " is " 
                           + (job.getRestartCount() > 0 ? "restarted" : "started") 
                           + " with parameters " + job.getJobParameters());
        if ("exception".equals(job.getJobParameters())) { 
            throw new Exception("Job raise exception");
        }
        return "success".equals(job.getJobParameters()) ? Job.EXIT_SUCCESS : Job.EXIT_FAILURE;
    }
}


