-- Test of handling queue overflow

insert into JobDesc values (
       'PRODUCER',         -- job name
       'Producer',         -- job description
       'queue1',           -- job parameters
       '',                 -- home directory: use current working directory
       'Producer',         -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       3,                  -- scheduling policy: INTERVAL
       2,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'CONSUMER',         -- job name
       'Consumer',         -- job description
       'queue1',           -- job parameters
       '',                 -- home directory: use current working directory
       'Consumer',         -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       3,                  -- scheduling policy: INTERVAL
       3,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'ALARM',            -- job name
       'Overflow handler', -- job description
       'overflow',         -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       0,                  -- scheduling policy: TRIGGER
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into QueueDesc values (
       'queue1',           -- queue name
       'ALARM',            -- name of job
       10                  -- maximal number of elelements in queue
);

