-- Test of job flow

insert into JobDesc values (
       'JOB-1',            -- job name
       'First job',        -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       1,                  -- scheduling policy: PERMANENT
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-2',            -- job name
       'Second job',       -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       0,                  -- scheduling policy: TRIGGER
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-3',            -- job name
       'Third job',       -- job description
       'failure',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       0,                  -- scheduling policy: TRIGGER
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-4',            -- job name
       'Forth job',       -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       0,                  -- scheduling policy: TRIGGER
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-5',            -- job name
       'Fifth job',        -- job description
       'failure',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       0,                  -- scheduling policy: TRIGGER
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobFlow values (
       'JOB-1',            -- source job
       'JOB-2',            -- destination job
       0                   -- if-succeede
);

insert into JobFlow values (
       'JOB-2',            -- source job
       'JOB-3',            -- destination job
       0                   -- if-succeede
);

insert into JobFlow values (
       'JOB-2',            -- source job
       'JOB-5',            -- destination job
       1                   -- if-failes
);

insert into JobFlow values (
       'JOB-3',            -- source job
       'JOB-4',            -- destination job
       1                   -- if-failes
);

