import org.garret.scheduler.Job;
import org.garret.jipc.*;

public class Consumer { 
    static final String JIPCServerHostName = "localhost";
    static final int    JIPCServerPort = 6000;

    public static int run(Job job) throws Exception { 
        JIPCSession session =
            org.garret.jipc.client.JIPCClientFactory.getInstance().create(JIPCServerHostName, JIPCServerPort);
        JIPCQueue queue = session.createQueue(job.getJobParameters());
        System.out.println("Get message: " +  queue.get());
        session.close();
        return Job.EXIT_SUCCESS;
    }
}
