-- Test of spawning local and remote Java jobs and processes 

insert into JobDesc values (
       'JOB-1',            -- job name
       'First job',        -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       1,                  -- scheduling policy: PERMANENT
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-2',            -- job name
       'Second job',       -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       3,                  -- scheduling policy: INTERVAL
       10,                 -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-3',            -- job name
       'Third job',        -- job description
       'failure',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       3,                  -- restart count 
       2,                  -- restart delay 
       3,                  -- scheduling policy: INTERVAL
       20,                 -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-4',            -- job name
       'Forth job',        -- job description
       'exception',        -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       1,                  -- scheduling policy: PERMANENT
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-5',            -- job name
       'Fifth job',        -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       'localhost',        -- host name
       6001,               -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       3,                  -- scheduling policy: INTERVAL
       10,                 -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-6',            -- job name
       'Sixth job',        -- job description
       'java -version',    -- job parameters
       'c:\temp',          -- home directory: use current working directory
       'org.garret.scheduler.ExecuteProcess', -- class name
       'localhost',        -- host name
       6001,               -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       3,                  -- scheduling policy: INTERVAL
       10,                 -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-7',            -- job name
       'Seventh job',      -- job description
       'java -version',    -- job parameters
       'c:\temp',          -- home directory: use current working directory
       'ag.progenius.scheduler.ExecuteProcess', -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       1,                  -- scheduling policy: PERMANENT
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

