-- Test for calendar scheduling

insert into JobDesc values (
       'JOB-1',            -- job name
       'First job',        -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       2,                  -- scheduling policy: CALENDAR
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobDesc values (
       'JOB-2',            -- job name
       'Second job',       -- job description
       'success',          -- job parameters
       '',                 -- home directory: use current working directory
       'TestJob',          -- class name
       '',                 -- host name
       0,                  -- port
       0,                  -- restart count 
       0,                  -- restart delay 
       2,                  -- scheduling policy: CALENDAR
       0,                  -- period
       0,                  -- day mask
       0                   -- hour mask
);

insert into JobCalendar values (
       'JOB-1',            -- job name
       sysdate + 10000     -- next run
);

insert into JobCalendar values (
       'JOB-1',            -- job name
       sysdate + 20000     -- next run
);

insert into JobCalendar values (
       'JOB-2',            -- job name
       sysdate + 15000     -- next run
);

insert into JobCalendar values (
       'JOB-2',              -- job name
       '2003-01-24 21:00:00' -- next run
);

